<?php
include_once(_DIR_TO_CLASS."/c_page.php");
class c_page_cab_smena extends c_page
{
  public $h1='Очередная смена' ;

 function select_obj_info()
 { switch(_CUR_PAGE_NAME)
   { case 'current.html': $this->h1='Работающая смена' ; break ;
     case 'prev.html': $this->h1='Предудущая смена' ; break ;
     default: $this->h1='Очередная смена' ;
   }
 }

 function tabs_config()
 { $this->tabs['/smena/']='Очередная смена' ;
   $this->tabs['/smena/current.html']='Работающая смена' ;
   $this->tabs['/smena/prev.html']='Предудущая смена' ;
 }


 function block_main()
 {
   $this->page_title() ;
   if (!$GLOBALS['LS_setting_use_tabel']) {?><div class="alert">Внимание! Допуск к работе осуществляется без учета табеля</div><?}

   switch(_CUR_PAGE_NAME)
   { case 'current.html':            list($from_time,$to_time,$smena_id)=ESMO()->get_cur_smena_interval() ; $h2='Время текущей смены' ;  break ;
     case 'prev.html':               list($from_time,$to_time,$smena_id)=ESMO()->get_prev_smena_interval() ; $h2='Время предудущей смены' ;   break ;
     default:                        list($from_time,$to_time,$smena_id)=ESMO()->get_next_smena_interval() ; $h2='Время очередной смены' ;  break ;
   }

   ?><h2><?echo $h2?>: <?echo date('H:i',$from_time).' - '.date('H:i',$to_time+1)?>, смена № <?echo $smena_id?></h2><?
   $_from_time=getdate($from_time) ; // текущее время
   $day=mktime(0,0,0,$_from_time['mon'],$_from_time['mday'],$_from_time['year']);

   $members_id=execSQL_line('select member_id from '.PERSONAL()->table_tabel.' where data='.$day.' and smena='.$smena_id) ;
   if (_sizeof($members_id))
   { $recs_members=PERSONAL()->get_personal_list(array('id'=>$members_id)) ;
     print_template($recs_members,'aspmo_personal/list_personal_table_img') ;
   }
   else {?><div class="alert">Смен по табелю не задано</div><?}
 }

 // проверка правильности расчета смен
 function test()
 {
   $now=getdate() ; // текущее время
   for($i=0;$i<=23;$i++)
    { $t=mktime($i,rand(1,59),rand(1,59),$now['mon'],$now['mday'],$now['year']);
      list($from,$to,$smena_id)=ESMO()->get_prev_smena_interval($t) ;
      echo $i.' => '.date('H:i',$t).' => <strong>'.$smena_id.'</strong> '.date('d H:i',$from).' - '.date('d H:i',$to).'<br>' ;
    }

 }

}



?>
